pub use sea_orm_migration::prelude::*;

mod m20220707_092851_create_users;
mod m20220707_112339_create_devices;
mod m20220707_143304_create_sessions;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20220707_092851_create_users::Migration),
            Box::new(m20220707_112339_create_devices::Migration),
            Box::new(m20220707_143304_create_sessions::Migration),
        ]
    }
}
