use ruma::{ServerName, OwnedServerName};

pub struct Config {
    pub db_path: String,
    pub server_name: OwnedServerName,
    pub enable_registration: bool,
}

impl Default for Config {
    fn default() -> Self {
        Self {
            db_path: "sqlite://db.sqlite3".into(),
            server_name: ServerName::parse("fuckwit.dev").unwrap(),
            enable_registration: true,
        }
    }
}
