use crate::types::user_interactive_authorization::UserInteractiveAuthorizationInfo;

#[derive(Debug, serde::Serialize)]
#[serde(untagged)]
pub enum RegistrationResponse {
    UserInteractiveAuthorizationInfo(UserInteractiveAuthorizationInfo),
}

impl RegistrationResponse {
    pub fn user_interactive_authorization_info() -> Self {
        RegistrationResponse::UserInteractiveAuthorizationInfo(
            UserInteractiveAuthorizationInfo::new(),
        )
    }
}
